package com.kmall.admin.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 用户满减满折表实体
 * 表名 mall_user_camp_minus
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-06-13 15:19:58
 */
public class UserCampMinusEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 用户满减满折id
     */
    private Integer userCampId;
    /**
     * 门店活动id
     */
    private Integer storeTopicId;
    /**
     * 活动名称
     */
    private String campName;
    /**
     * 用户id
     */
    private Integer userId;
    /**
     * 使用时间
     */
    private Date usedTime;
    /**
     * 订单id
     */
    private Integer orderId;
    /**
     * 失效时间
     */
    private Date endTime;
    /**
     * 活动金额
     */
    private BigDecimal money;
    /**
     * 是否已使用 0：否；1：是
     */
    private String isUsed;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间,yyyy-MM-dd HH:mm:ss
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间,yyyy-MM-dd HH:mm:ss
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    /**
     * 设置：用户满减满折id
     */
    public void setUserCampId(Integer userCampId) {
        this.userCampId = userCampId;
    }

    /**
     * 获取：用户满减满折id
     */
    public Integer getUserCampId() {
        return userCampId;
    }
    /**
     * 设置：门店活动id
     */
    public void setStoreTopicId(Integer storeTopicId) {
        this.storeTopicId = storeTopicId;
    }

    /**
     * 获取：门店活动id
     */
    public Integer getStoreTopicId() {
        return storeTopicId;
    }
    /**
     * 设置：活动名称
     */
    public void setCampName(String campName) {
        this.campName = campName;
    }

    /**
     * 获取：活动名称
     */
    public String getCampName() {
        return campName;
    }
    /**
     * 设置：用户id
     */
    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    /**
     * 获取：用户id
     */
    public Integer getUserId() {
        return userId;
    }
    /**
     * 设置：使用时间
     */
    public void setUsedTime(Date usedTime) {
        this.usedTime = usedTime;
    }

    /**
     * 获取：使用时间
     */
    public Date getUsedTime() {
        return usedTime;
    }
    /**
     * 设置：订单id
     */
    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    /**
     * 获取：订单id
     */
    public Integer getOrderId() {
        return orderId;
    }
    /**
     * 设置：失效时间
     */
    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    /**
     * 获取：失效时间
     */
    public Date getEndTime() {
        return endTime;
    }
    /**
     * 设置：活动金额
     */
    public void setMoney(BigDecimal money) {
        this.money = money;
    }

    /**
     * 获取：活动金额
     */
    public BigDecimal getMoney() {
        return money;
    }
    /**
     * 设置：是否已使用 0：否；1：是
     */
    public void setIsUsed(String isUsed) {
        this.isUsed = isUsed;
    }

    /**
     * 获取：是否已使用 0：否；1：是
     */
    public String getIsUsed() {
        return isUsed;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间,yyyy-MM-dd HH:mm:ss
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间,yyyy-MM-dd HH:mm:ss
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间,yyyy-MM-dd HH:mm:ss
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间,yyyy-MM-dd HH:mm:ss
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
